SitePoint Sponsor

User Tag List

Results 1 to 7 of 7
  1. #1
    SitePoint Guru SG1's Avatar
    Join Date
    Jul 2005
    Location
    Virginia, USA.
    Posts
    877
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    anyone ever have issues with Wordpress WYSIWYG editor in Mac?

    I have a client who doesn't see the WYSIWYG editor in WP 2.2 on her Mac. The editor was there several days ago before but it's now gone. She only has access to code view. It's been like this for several days. I had her make sure that visual editor box is ticked off in the User Profile. But unsure as to what else can fix this issue as I'm not on a Mac myself.


    The only plugins that I have installed are Dagon Sitemap, Embedded Video with Link, and Wordpress Database Backup .


    I haven't had the client deactivitate these plugins yet just because I want to see if there is something else that I should know about before approaching her.

    Thoughts? Resources that can help me with this?

  2. #2
    SitePoint Addict
    Join Date
    Mar 2006
    Posts
    367
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    It's a known issue with Safari and tinyMCE. 2.3 has a newer version that is supposed to work the latest Safari.

  3. #3
    SitePoint Guru SG1's Avatar
    Join Date
    Jul 2005
    Location
    Virginia, USA.
    Posts
    877
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Unfortunately, 2.3 is still very much in Beta for another few weeks

    Any other temporary fixes that one might suggest?

    EDIT; Just to clarify, are you saying that it's a known issue that the editor is inconsistent with Macs or are you saying that it just doesn't work at all with Macs. If it's the latter, then I'm in deep trouble considering that I recommended WP to my client and there may be no other way out of this. I'm hoping it's an inconsistency issue that can somehow be fixed.
    Last edited by SG1; Sep 9, 2007 at 20:30.

  4. #4
    SitePoint Wizard
    Join Date
    Oct 2005
    Posts
    1,863
    Mentioned
    5 Post(s)
    Tagged
    2 Thread(s)
    The WYSIWYG editor was screwing stuff up in Firefox 2, so I had to stop using it.

  5. #5
    SitePoint Addict
    Join Date
    Mar 2006
    Posts
    367
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I'm saying it's a known issue that tinyMCE has a bad history with the Safari browser. I think depending on versions it has worked at certain times and other times hasn't.
    She should be able to use firefox or another browser on the Mac and have it work. Hopefully in a few weeks she'll be able to use it with Safari if you upgrade her to 2.3 and she downloads the latest Safari.

  6. #6
    SitePoint Guru SG1's Avatar
    Join Date
    Jul 2005
    Location
    Virginia, USA.
    Posts
    877
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by aaronjj View Post
    I'm saying it's a known issue that tinyMCE has a bad history with the Safari browser. I think depending on versions it has worked at certain times and other times hasn't.
    She should be able to use firefox or another browser on the Mac and have it work. Hopefully in a few weeks she'll be able to use it with Safari if you upgrade her to 2.3 and she downloads the latest Safari.
    Unfortunately, Firefox is not doing any better for her as the editor doesn't work there either.

    Are there any previous version prior to WP 2.2 that might have worked well with Safari? I'm assuming it's best to have the newest downloads of Safari/Firefox to ensure best compatibility? Or are there other WYSIWYG editors out there as well that might fare better?

    I just saw WP 2.3 beta v3 just released today and might have to try my hands on that if nothing else works.

  7. #7
    SitePoint Addict
    Join Date
    Mar 2006
    Posts
    367
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Why don't you get a test install of wp 2.3 going and have her login and see if it'll work?
    here's the compatibility matrix
    http://wiki.moxiecode.com/index.php/...E:Compatiblity

    Here's another editor:
    http://mudbomb.com/archives/2005/02/...for-wordpress/
    I've never used it, but it's been updated to work with 2.2.x installs


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •